Bug 817181 - db4-java disabled on arm
db4-java disabled on arm
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: db4 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 18:56 EDT by Rich Mattes
Modified: 2013-07-02 19:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-07 10:57:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rich Mattes 2012-04-27 18:56:14 EDT
Description of problem:
The db4 spec has a whitelist of java-enabled architectures that it uses to determine whether or not to build the db4-java subpackage.  As of now, arm architectures aren't on the whitelist.  Now that java has been bootstrapped for arm, the db4-java subpackage can be enabled for arm architectures.  I did a scratch build on arm-koji to verify that db4 builds successfully with java enabled:

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=768468
Comment 1 Rich Mattes 2012-07-07 10:57:02 EDT
* Mon Apr 30 2012 Peter Robinson - 4.8.30-10 
- Add ARM to list of supported JAVA arches

Note You need to log in before you can comment on or make changes to this bug.